# Class SignatureSetData

#### Hierarchy

- SignatureSetData

- Defined in utils/accounts/signatureSet.ts:19

#####
Index

### Constructors

constructor

### Properties

guardianSetIndex
hash
signatures

### Methods

deserialize

## Constructors

### constructor

- new SignatureSetData(signatures, hash, guardianSetIndex): SignatureSetData

- #### Parameters

  - ##### signatures: boolean[]

  - ##### hash: Buffer

  - ##### guardianSetIndex: number

  #### Returns SignatureSetData

  - Defined in utils/accounts/signatureSet.ts:24

## Properties

### guardianSetIndex

guardianSetIndex: number

- Defined in utils/accounts/signatureSet.ts:22

### hash

hash: Buffer

- Defined in utils/accounts/signatureSet.ts:21

### signatures

signatures: boolean[]

- Defined in utils/accounts/signatureSet.ts:20

## Methods

### `Static` deserialize

- deserialize(data): SignatureSetData

- #### Parameters

  - ##### data: Buffer

  #### Returns SignatureSetData

  - Defined in utils/accounts/signatureSet.ts:30

Generated using TypeDoc